summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2014-05-19 05:20:02 +0200
committer Willy Sudiarto Raharjo2014-05-19 06:01:58 +0200
commit6da9ccf9f52d8076195278f71a534b04ae50f965 (patch)
tree7094f7431343114be9583800862868d707452d90
parent26049c64b420c53cb656771c84d38cf28cb836ca (diff)
downloadslackbuilds-6da9ccf9f52d8076195278f71a534b04ae50f965.tar.gz
games/solarwolf: Added (2d arcade game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/solarwolf/README3
-rw-r--r--games/solarwolf/doinst.sh3
-rw-r--r--games/solarwolf/slack-desc19
-rw-r--r--games/solarwolf/solarwolf.SlackBuild84
-rw-r--r--games/solarwolf/solarwolf.desktop7
-rw-r--r--games/solarwolf/solarwolf.info10
6 files changed, 126 insertions, 0 deletions
diff --git a/games/solarwolf/README b/games/solarwolf/README
new file mode 100644
index 0000000000..e2c80208fa
--- /dev/null
+++ b/games/solarwolf/README
@@ -0,0 +1,3 @@
+solarwolf (2d arcade game)
+
+solarwolf is a remake of the arcade game Solar Fox.
diff --git a/games/solarwolf/doinst.sh b/games/solarwolf/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/solarwolf/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/solarwolf/slack-desc b/games/solarwolf/slack-desc
new file mode 100644
index 0000000000..90eea7572c
--- /dev/null
+++ b/games/solarwolf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+solarwolf: solarwolf (2d arcade game)
+solarwolf:
+solarwolf: solarwolf is a remake of the arcade game Solar Fox.
+solarwolf:
+solarwolf:
+solarwolf:
+solarwolf:
+solarwolf:
+solarwolf:
+solarwolf:
+solarwolf:
diff --git a/games/solarwolf/solarwolf.SlackBuild b/games/solarwolf/solarwolf.SlackBuild
new file mode 100644
index 0000000000..6c3429337b
--- /dev/null
+++ b/games/solarwolf/solarwolf.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for solarwolf
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=solarwolf
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# upstream permissions are especially bletcherous
+find . -type d -print0 | xargs -0 chmod 0755
+find . -type f -print0 | xargs -0 chmod 0644
+find . -name .xvpics -print0 | xargs -0 rm -rf
+
+mkdir -p \
+ $PKG/usr/games \
+ $PKG/usr/share/games/$PRGNAM \
+ $PKG/usr/share/pixmaps \
+ $PKG/usr/share/applications \
+ $PKG/usr/man/man6
+
+# the code is all python, keep in /usr/share along with the game data.
+sed -i "s,usr/lib/games/$PRGNAM,usr/share/games/$PRGNAM/code," $PRGNAM.py
+
+cp -a code data $PKG/usr/share/games/$PRGNAM
+install -oroot -groot -m0755 $PRGNAM.py $PKG/usr/games/$PRGNAM
+
+# original .desktop file don't validate, use our own
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+cat dist/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+cat dist/$PRGNAM.6.gz > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/solarwolf/solarwolf.desktop b/games/solarwolf/solarwolf.desktop
new file mode 100644
index 0000000000..890330e721
--- /dev/null
+++ b/games/solarwolf/solarwolf.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=SolarWolf
+Exec=solarwolf
+Icon=solarwolf
+Categories=Game;ArcadeGame;
diff --git a/games/solarwolf/solarwolf.info b/games/solarwolf/solarwolf.info
new file mode 100644
index 0000000000..68a5661db8
--- /dev/null
+++ b/games/solarwolf/solarwolf.info
@@ -0,0 +1,10 @@
+PRGNAM="solarwolf"
+VERSION="1.5"
+HOMEPAGE="http://www.pygame.org/shredwheat/solarwolf/index.shtml"
+DOWNLOAD="http://www.pygame.org/shredwheat/solarwolf/solarwolf-1.5.tar.gz"
+MD5SUM="52fbed0a33c3c4c08d9dc0e533f90f8c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pygame"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"